Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040060
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Cash upmajoralways2019-01-23 18:242019-02-15 14:22
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR18Q4.2
StatusclosedFix in branchFixed in SCM revision7af1b43e167f
ProjectionnoneETAnoneTarget VersionRR18Q4.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d0797b3798881a9b775cb323b3c79e49159eac58 [^]
Triggers an Emergency PackNo
Summary

0040060: Counted amount is wrong in the Cashup Report

DescriptionThe counted amount is wrong when the cashup report is printed in the backend.
Steps To ReproducePOS:
. new receipt:
 . product Avalanche Transceiver
   -> total amount 150.50 -> paid with Cash
. new receipt:
 . product Balaclava Cup
   -> total amount 169 -> paid with Card
. new receipt:
 . product Headlamp ultralight
   -> total amount 18.90 -> paid with USA Cash
. do cashup:
 . counted amounts:
   . cash-> 150
   . card -> 169
   . USA Cash -> 18.90
 ¬∑ amount to keep:
   ¬∑cash-> 200

BO:
. go to terminal-> cashup -> print cashup:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)
. go to terminal -> cashup -> Payment Method Status Cashup tab:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)

(see screenshots)

amountToKeep is 0 and it should be 200 in the backoffice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040019 closedranjith_qualiantech_com Counted amount is wrong in the Cashup Report 

-  Notes
(0109449)
hgbot (developer)
2019-02-02 07:38

Repository: retail/backports/3.0RR18Q4.2/org.openbravo.retail.posterminal
Changeset: 9a8964728313c070433151e3eb43f9f70655658e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:08:24 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.2/org.openbravo.retail.posterminal/rev/9a8964728313c070433151e3eb43f9f70655658e [^]

Related to issue 40060 : Applied New Java Formatting

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109450)
hgbot (developer)
2019-02-02 07:39

Repository: retail/backports/3.0RR18Q4.2/org.openbravo.retail.posterminal
Changeset: 7af1b43e167f858073b4758eb7f067dae3606f0f
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:08:50 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.2/org.openbravo.retail.posterminal/rev/7af1b43e167f858073b4758eb7f067dae3606f0f [^]

Fixed issue 40060 : PaymentMethodCashup should be updated when Cashup is Done

* PaymentMethodCashup should be created/updated for the following cases
  1) when cashup is closed
  2) when ticket is closed with respective payment

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109451)
hgbot (developer)
2019-02-02 07:39

Repository: retail/backports/3.0RR18Q4.2/pi-mobile
Changeset: 4a5a015d53317c6595884618e7c9d644b8b32a3b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:09:02 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.2/pi-mobile/rev/4a5a015d53317c6595884618e7c9d644b8b32a3b [^]

Verifies issue 40060 : Added Automated Test "I40060_VerifyCountedAmountAfterCashup"

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I40060_VerifyCountedAmountAfterCashup.java
---

- Issue History
Date Modified Username Field Change
2019-01-30 10:52 marvintm Type defect => backport
2019-01-30 10:52 marvintm Target Version => RR18Q4.2
2019-02-02 07:38 hgbot Checkin
2019-02-02 07:38 hgbot Note Added: 0109449
2019-02-02 07:39 hgbot Checkin
2019-02-02 07:39 hgbot Note Added: 0109450
2019-02-02 07:39 hgbot Status scheduled => resolved
2019-02-02 07:39 hgbot Resolution open => fixed
2019-02-02 07:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c5744e78fbacd1937c39fce01e867a30cf4cd7f4 [^] => http://code.openbravo.com/retail/backports/3.0RR18Q4.2/org.openbravo.retail.posterminal/rev/7af1b43e167f858073b4758eb7f067dae3606f0f [^]
2019-02-02 07:39 hgbot Checkin
2019-02-02 07:39 hgbot Note Added: 0109451
2019-02-15 14:22 marvintm Review Assigned To => marvintm
2019-02-15 14:22 marvintm Status resolved => closed
2019-02-15 14:22 marvintm Fixed in Version => RR18Q4.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker